#
# Powershell Script
# Ton Werner
#
############################################################################################
#
# simple graphical functions
# use the . command to incorporate the functions in the shell environment
#
############################################################################################

[System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
[System.Reflection.Assembly]::LoadWithPartialName("System.windows.forms") 


function CreateForm {
	param([string]$t,[int]$h,[int]$w)
	$global:Form = new-object System.Windows.Forms.form 
	$Form.Text = $t
	$Form.size = new-object System.Drawing.Size($h,$w) 
	}

function CreateLabel {
	param([string]$t,[int]$x, [int]$y, [int]$w, [int]$h)
	$global:Label = new-object System.Windows.Forms.Label
	$Label.Text = $t
	$Label.Location = new-object System.Drawing.Size($x,$y) 
	$Label.size = new-object System.Drawing.Size($w,$h) 
	$Form.Controls.Add($Label)
	$label
	}

function CreateButton {
	param([string]$t,[int]$x,[int]$y,[int]$w, [int]$h)
	$global:Button = new-object System.Windows.Forms.Button 
	$Button.Text = $t
	$Button.Location = new-object System.Drawing.Size($x,$y) 
	$Button.size = new-object System.Drawing.Size($w,$h) 
	$Form.Controls.Add($Button)
	$Button
	}

function CreateTextBox {
	param([string]$t,[int]$x,[int]$y,[int]$w,[int]$h)
	$global:TextBox = new-object System.Windows.Forms.TextBox
	$TextBox.Text = $t
	$TextBox.Location = new-object System.Drawing.Size($x,$y) 
	$TextBox.size = new-object System.Drawing.Size($w,$h) 
	$Form.Controls.Add($TextBox)
	$TextBox
	}
function CreateListBox {
	param([int]$x,[int]$y,[int]$w,[int]$h)
	$global:ListBox = new-object System.Windows.Forms.ListBox
	$ListBox.Location = new-object System.Drawing.Size($x,$y) 
	$ListBox.size = new-object System.Drawing.Size($w,$h) 
	$Form.Controls.Add($ListBox)
	$ListBox
	}

function CreateComboBox {
	param([int]$x,[int]$y)
	$global:ComboBox = new-object System.Windows.Forms.ComboBox
	$ComboBox.Location = new-object System.Drawing.Size($x,$y) 
	$ComboBox.size = new-object System.Drawing.Size(200,80)
	$Form.Controls.Add($ComboBox)
	$ComboBox
	}

function ShowForm {	
	$Form.topmost = $true  
	$Form.showdialog()
	}

############################################################################################ End of Script