﻿#
# Powershell Script
# Ton Werner
#
############################################################################################
#
# Simple window. Shows the ipv6 interfaces on the local engine.
#		 from : "netsh interface ipv6 show interfaces"
#		 from : "netsh interface ipv6 show interface <interfacename>"
#
############################################################################################

Function Get_LabelNames {
	$global:MyGlobalLabelNames= CreateLabelNames $MyGlobalInterfaces
	$global:MyDetailedLabelNames = CreateLabelNames $MyDetailedInterfaces
	}

Function CreateLabelNames {
	param($object)
	$MyLabelNames = @()
	$content = $object | gm -type Noteproperty
	for ( $i = 0 ; $i -lt $content.count ; $i++ )
		{  $MyLabelNames = $MyLabelNames + @($content[$i].Name)  }
	return $MyLabelNames
	}

Function Get_labels {
	$global:MyDetailedLabels = CreateLabels $MyDetailedLabelNames 20 120 200 20
	$global:MyGlobalLabels = CreateLabels $MyGlobalLabelNames 300 0 40  20 
	}

Function CreateLabels {
	param($listofNames, $x, $y, $w , $h)
	$labels = @()
	for ( $i = 0 ; $i -lt $listofNames.count ; $i++ ) {
		$labels = $labels + @(Createlabel $listofNames[$i] $x ($y = $y + 20) $w $h)
		}
	return $Labels	
	}

Function Get_TextBoxes {
	$global:TextBoxesDetailed= CreateTextBoxes $MyDetailedLabelNames 300 120 100 20 
	$global:TextBoxesGlobal = CreateTextBoxes $MyGlobalLabelNames 400  0 160 20 
	}
		
Function CreateTextBoxes {
	param($listofNames, $x, $y, $w, $h)
	$textboxes = @()
	for ( $i = 0 ; $i -lt $listofNames.count ; $i++ ) {
		$textboxes = $textboxes + @(Createtextbox "" $x ($y = $y + 20) $w $h)
		}
	return $textboxes
	}
	
Function ShowTextBoxesDetailed{
	$global:id = $thisobject.idx
	$object = $MyDetailedInterfaces | where { $_.IfIndex -eq $id }
	for ( $i = 0 ; $i -lt $MyDetailedLabelNames.count ; $i++ ) {
		$TextBoxesDetailed[$i].Text = $object.($MyDetailedLabelNames[$i])
		}
	}

Function ShowTextBoxesGlobal {
	$global:thisobject = $MyGlobalInterfaces[$ListBoxGlobal.selectedindex]
	$content = $thisobject | gm -type Noteproperty
	for ( $i = 0 ; $i -lt $content.count ; $i++ )	{ 
		 $TextBoxesGlobal[$i].Text = $thisobject.($content[$i].Name) 
		}
	}

Function ShowListBoxGlobal {
	$ListBoxGlobal.Items.Clear()
	for ( $i = 0 ; $i -lt $MyGlobalInterfaces.count ; $i++ ) {
		$ListBoxGlobal.Items.Add($MyGlobalInterfaces[$i].Name)
		}
	}

############################################################################################ Main

	. ./Function_Forms_v2.ps1
	./NetshInterfaces_v2.ps1

	CreateForm "Netsh Interfaces" 600 700
	$global:ListBoxGlobal = CreateListBox 10 20 200 60
		$ListBoxGlobal.add_click({ ShowTextBoxesGlobal ; ShowTextBoxesDetailed})

	Get_LabelNames ; Get_labels
	Get_TextBoxes

	ShowListBoxGlobal
	ShowForm

############################################################################################ End of Script