﻿#
# Powershell Script
# Ton Werner
#
############################################################################################
#
# Create an (Array of) Objects from : "netsh interface ipv6 show interfaces"
#	
# Create an (Array of) Objects from : "netsh ipv6 interface show interface <interfacename>"
# 	where <interfacename> is the $MyGlobalInterfaces.Name property.
#
# Those arrays have a global scope
#	so can be used in the Powershell console after running this file
#
########################################################################## part one ########

	$global:MyGlobalInterfaces = @()
	$global:interface = netsh interface ipv6 show interfaces 
	$global:property=[regex]::replace($interface[1],'[ ]+'," ").Split(" ")
	for ( $i = 3 ; $i -lt ($interface.count - 1)  ;$i++ ) {
		$MyInterface = New-Object PSObject
		$global:content = [regex]::replace($interface[$i],'[ ]+'," ").Split(" ")
		for ( $j = 0 ; $j -lt 5 ; $j++ ) {
			$global:thiscontent = $content[$j+1] 
			if ( $j -eq 4 ) { 
				$idx = $interface[$i].indexOf($content[($j + 1)])
				$global:thiscontent = $interface[$i].substring($idx)
				}
			$MyInterface | Add-Member NoteProperty $property[$j] $thiscontent
			}
		$global:MyGlobalInterfaces = $MyGlobalInterfaces + @($MyInterface)
		}
########################################################################## part two ########

	$global:MyDetailedInterfaces = @()
	foreach ( $object in $MyGlobalInterfaces ) { 
		$MyObject = New-Object PSObject
		$ipv6 = netsh interface ipv6 show interface $object.idx
		for ( $i = 3 ; $i -lt ( $ipv6.count - 1 ) ; $i++ ) {
			$content= $ipv6[$i].Split(":")
			$MyObject | Add-Member NoteProperty $content[0].Trim() $content[1].Trim()
			}
		$global:MyDetailedInterfaces  = $MyDetailedInterfaces + @($MyObject)
		}

################################################################################## end of script